# -*- encoding: utf-8 -*-
# stub: epics 2.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "epics".freeze
  s.version = "2.4.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Lars Brillert".freeze]
  s.date = "2024-06-21"
  s.description = "    Epics is a ruby implementation of the EBIC standard (H004)\n\n    It supports the complete initialization process comprising INI, HIA and HPB\n    including the INI letter generation.\n\n    Furthermore it offers support for the most common download types:\n      STA HAA HTD HPD PKT HAC HKD C52 C53 C54\n\n    And the following upload orders:\n      CD1 CDD CCT CDB CDS CCS CDZ CRZ\n".freeze
  s.email = ["lars@railslove.com".freeze]
  s.homepage = "https://github.com/railslove/epics".freeze
  s.licenses = ["LGPL-3.0".freeze]
  s.post_install_message = "\n\e[32m************************************************************\n\e[0mThanks for using Epics - your epic EBICS client!\nEpics provides a full production-tested implementation of the Electronic Banking Internet Communication Standard.\nRailslove as the maintainer is commited to provide extensive developer tools to make integrating financial institutions fun and easy.\nPlease create an issue on github (railslove/epics) if anything does not work as expected. And contact team@railslove.com if you are looking for support with your integration.\n\e[32m************************************************************\n\e[0m".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.7".freeze)
  s.rubygems_version = "3.5.9".freeze
  s.summary = "a ruby implementation of the EBICS protocol".freeze

  s.installed_by_version = "3.5.9".freeze if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<faraday>.freeze, [">= 1.10.0".freeze])
  s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 1.16.5".freeze])
  s.add_runtime_dependency(%q<rubyzip>.freeze, [">= 2.3.2".freeze])
  s.add_runtime_dependency(%q<rexml>.freeze, [">= 3.2.8".freeze])
  s.add_development_dependency(%q<bundler>.freeze, [">= 2.4.12".freeze])
  s.add_development_dependency(%q<equivalent-xml>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<pry>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<webmock>.freeze, [">= 0".freeze])
end
